
CoCoALib - Bug #1423

Radical 0-dim NYI?  missing case for GBasisByHomog

25 Feb 2020 17:19 - John Abbott

Status: Closed Start date: 25 Feb 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Improving Estimated time: 0.51 hour

Target version: CoCoALib-0.99800 Spent time: 0.60 hour

Description

The following is annoying:

use QQ[x,y,z],DegLex;

L := [-x*z^2 -y +1,  -y*z^2 -z^3,  x^3 +z^2];

radical(ideal(L));

--> ERROR: NOT YET IMPLEMENTED -- please be patient, we're working on it

--> [CoCoALib] GBasisByHomog: only for DegRevLex, lex

--> WHERE: at line 144 (column 31) of radical.cpkg5

-->   if IsZeroDim(I) then return radical_tmp(I); endif;

-->                               ^^^^^^^^^^^^^^

CONTEXT: function radical at line 144 of radical.cpkg5

Related issues:

Related to CoCoALib - Feature #1212: New function: GBasisByHomog Closed 05 Aug 2018

Related to CoCoALib - Feature #1434: GBasisByHomog for DegLex Closed 04 Mar 2020

History

#1 - 25 Feb 2020 17:20 - John Abbott

I am pretty sure that this is not new, but i could not quickly find the relevant issue... so I have a new issue (2020-02-25).

#2 - 25 Feb 2020 18:27 - Anna Maria Bigatti

- Related to Feature #1212: New function: GBasisByHomog added

#3 - 04 Mar 2020 20:38 - John Abbott

- Related to Feature #1434: GBasisByHomog for DegLex added

#4 - 25 Sep 2020 11:18 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 30

CHECKED ON 2020-09-25  the example in the description now works.

Has this been fixed?  By whom?  Can we close the issue?

#5 - 25 Sep 2020 16:58 - Anna Maria Bigatti

- Subject changed from Radical 0-dim NYI to Radical 0-dim NYI?  missing case for GBasisByHomog

- Status changed from In Progress to Closed

- Assignee set to Anna Maria Bigatti

- % Done changed from 30 to 100

- Estimated time set to 0.51 h
John Abbott wrote:

CHECKED ON 2020-09-25  the example in the description now works.

Has this been fixed?  By whom?  Can we close the issue?

 

I believe the problem was just due to a missing case in GBasisByHomog (no GB, no test for 0-dim)

Closing.
